Package org.kie.internal.runtime.conf

## Enum RuntimeStrategy

- java.lang.Object
- - java.lang.Enum<RuntimeStrategy>
  - - org.kie.internal.runtime.conf.RuntimeStrategy

- All Implemented Interfaces:
    `Serializable`, `Comparable<RuntimeStrategy>`

      public enum RuntimeStrategy
      extends Enum<RuntimeStrategy>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `PER_CASE` |
    `PER_PROCESS_INSTANCE` |
    `PER_REQUEST` |
    `SINGLETON` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static RuntimeStrategy` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
    `static RuntimeStrategy[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### SINGLETON

          public static final RuntimeStrategy SINGLETON

    - #### PER_REQUEST

          public static final RuntimeStrategy PER_REQUEST

    - #### PER_PROCESS_INSTANCE

          public static final RuntimeStrategy PER_PROCESS_INSTANCE

    - #### PER_CASE

          public static final RuntimeStrategy PER_CASE

  - ### Method Detail

    - #### values

          public static RuntimeStrategy[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (RuntimeStrategy c : RuntimeStrategy.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static RuntimeStrategy valueOf​(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null